#define ll long long

#include "vision.h"
#include<bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(vector<int> v)
{
    if(v.size()==3){
        if(v[0]==2) return 0;
        else return 2;
    }
    if(v.size()==5){
        if(v[0]==1) return 0;
        else return 4;
    }
    if(v.size()==7){
        if(v[1]==2) return 0;
        else return 6;
    }
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<std::vector<int>> v)
{
    return {0, 0};
}
